Class
NameStoreCache
Stores a mapping from names to ids.
FragmentStore<>
NameStoreCache<TNameStore[, TName]>
Parameters

TNameStore | The name store to be cached. See: FragmentStore
TName | The name type. Types: CharString Default: Value<TNameStore>::Type

Member Functions

NameStoreCache | Constructor

Functions

appendName | Appends a name to a name store.
getIdByName | Get the id/index of a string in a name store with a cache.
refresh | Recreate a name store cache.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56